package com.ruoyi.bst.area.service;

import java.util.List;

import com.ruoyi.bst.area.domain.AreaQuery;
import com.ruoyi.bst.area.domain.vo.AreaStatVO;
import com.ruoyi.common.domain.vo.LongIntegerVO;

public interface AreaDashboard {
    
    /**
     * 查询运营区统计
     * @param query
     * @return
     */
    AreaStatVO selectStat(AreaQuery query, List<String> keys);

    /**
     * 查询设备数量最多的运营区ID
     * @param query
     * @return
     */
    List<LongIntegerVO> selectMaxOfDeviceCountAreaId(AreaQuery query);

    /**
     * 查询运营区数量
     * @param query
     * @return
     */
    Integer selectCount(AreaQuery query);

    
}
