package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.ruoyi.bst.order.domain.enums.OrderPayType;

import lombok.Data;

@Data
public class OrderRidePaySuccessDTO {

    // 订单ID
    private Long orderId;

    // 支付方式
    private OrderPayType payType;

    // 支付金额
    private BigDecimal payAmount;

    // 支付ID
    private Long payId;

    // 支付时间
    private LocalDateTime payTime;
}
