package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import com.ruoyi.common.utils.MathUtils;

import lombok.Data;

@Data
public class OrderRefundDetailDTO {
    
    // 骑行费
    private BigDecimal ridingRefund;

    // 调度费
    private BigDecimal dispatchRefund;

    // 管理费
    private BigDecimal manageRefund;

    // 车损费
    private BigDecimal deductionRefund;

    public BigDecimal getTotalRefund() {
        return MathUtils.addDecimal(ridingRefund, dispatchRefund, manageRefund, deductionRefund);
    }
}
